Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410371 - Fedora25_Gnome_Applications_Scaled_And_Unusable
Summary: Fedora25_Gnome_Applications_Scaled_And_Unusable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 26
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 10:51 UTC by sac
Modified: 2017-05-06 20:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-06 20:15:44 UTC
Type: Bug


Attachments (Terms of Use)
Fedora25_Gnome_Applications_Scaled_And_Unusable E.g. Terminal & system settings don't even fit on a 11" Dell Venue 11 Pro FullHD 1920x1080, because they're upscaled that big. (433.14 KB, image/png)
2017-01-05 10:51 UTC, sac
no flags Details
Correct scaling in Fedora-Workstation-Live-x86_64-Rawhide-20170421.n.0 (1.33 MB, image/png)
2017-04-22 18:42 UTC, sac
no flags Details

Description sac 2017-01-05 10:51:57 UTC
Created attachment 1237572 [details]
Fedora25_Gnome_Applications_Scaled_And_Unusable  E.g. Terminal & system settings don't even fit on a 11" Dell Venue 11 Pro FullHD 1920x1080, because they're upscaled that big.

Description of problem:
Terminal & system settings don't even fit on a 11" Dell Venue 11 Pro FullHD 1920x1080, because they're upscaled that big.
If I change the resolution from 1920x1080 to 1600x900, at least Fedora & GTK Gnome apps are correctly scaled and usable again. Tested with the original Fedora 25 Live image (same happened to my original Fedora installation after the ugrade to 25, if the resolution is not lowered Fedora becomes unusable on a small FullHD screen).

Steps to Reproduce:
1. Start Fedora Live
2. Open System settings or terminal

Actual results:
Gnome applications are upscaled by 2x or 3x times and unusable (however the gnome taskbar is scaled correctly, as displayed on the screenshot)


Expected results:
Correct scaling as in Fedora 24 (before the upgrade to 25)

Additional info:

Comment 1 Jan Grulich 2017-01-05 11:11:37 UTC
Why this has been reported against qgnomeplatform? Do you have problem with Gnome/Gtk apps on Gnome?

Comment 2 sac 2017-01-05 12:10:20 UTC
Bascially because I was told to report it seperately( https://bugzilla.redhat.com/show_bug.cgi?id=1381828 ) ;)

But yes, all Gnome applications are affected. As displayed in the screenshot, all Gnome stuff (except for the task bar at top) are scaled incorrectly and not usable on a small screen.

Comment 3 Jan Grulich 2017-01-05 12:15:05 UTC
I see, however this was supposed to be reported against gtk I guess and not against qgnomeplatform.

Comment 4 sac 2017-01-28 10:24:14 UTC
Additional info: saw some youtube vids where the Acer Aspire Switch Alpha and some other HiDPI tablets worked flawlessly. Just FullHD seems to be affected:

Resolution <= 1600x900 scaled correctly
Resolution > 1600x900 < 2k scaled incorrectly (FullHD not usable)
Resolution >= 2k (&4k) scaled correctly

Any idea how I can debug this or what's affected here?

Comment 5 Fedora End Of Life 2017-02-28 10:52:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 sac 2017-03-05 18:48:32 UTC
Still occurs with latest Rawhide: 
Fedora-Workstation-Live-x86_64-Rawhide-20170305.n.0.iso

Comment 7 sac 2017-04-22 18:42:44 UTC
Created attachment 1273376 [details]
Correct scaling in Fedora-Workstation-Live-x86_64-Rawhide-20170421.n.0

Comment 8 sac 2017-04-22 18:44:49 UTC
Seems to be fixed in Rawhide Fedora-Workstation-Live-x86_64-Rawhide-20170421.n.0 (unfortunately not in Fedora 26).

Now, just related https://bugzilla.redhat.com/show_bug.cgi?id=1402962 needs to be fixed and Fedora is again usable on tablets after the wayland introduction ;)

Comment 9 sac 2017-05-06 20:15:44 UTC
Also fixed in Fedora 25 now, after installing updates ;)


Note You need to log in before you can comment on or make changes to this bug.